-------------------------------------------------------------------------------
--
-- Copyright (C) 2014
-- ASTRON (Netherlands Institute for Radio Astronomy) <http://www.astron.nl/>
-- JIVE (Joint Institute for VLBI in Europe) <http://www.jive.nl/>
-- P.O.Box 2, 7990 AA Dwingeloo, The Netherlands
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-------------------------------------------------------------------------------

library IEEE, technology_lib;
use IEEE.std_logic_1164.all;
use technology_lib.technology_pkg.all;

package tech_mult_pkg is
  type t_c_tech_mult_variant is record
    -- PHY variant within a technology
    name  : string(1 to 3);  -- = "RTL" or " IP"
    ip    : boolean;  -- = TRUE  TRUE = Megawizard IP, FALSE = RTL implemenation
  end record;

  --                                                                      name    ip
  constant c_tech_mult_stratixiv_rtl                  : t_c_tech_mult_variant := ("RTL",  false);
  constant c_tech_mult_stratixiv_ip                   : t_c_tech_mult_variant := (" IP",  true);
  constant c_tech_mult_arria10_rtl                    : t_c_tech_mult_variant := ("RTL",  false);
  constant c_tech_mult_arria10_ip                     : t_c_tech_mult_variant := (" IP",  true);

end tech_mult_pkg;
